
module "nat-gateway" {
  source = "terraform-aws-modules/nat-gateway/aws"
  version = "1.3.0"
  create = var.create
  create_eip = var.create_eip
  description = var.description
  dnat_count = var.dnat_count
  eip_bandwidth = var.eip_bandwidth
  eip_instance_charge_type = var.eip_instance_charge_type
  eip_internet_charge_type = var.eip_internet_charge_type
  eip_isp = var.eip_isp
  eip_name = var.eip_name
  eip_period = var.eip_period
  eip_tags = var.eip_tags
  existing_nat_gateway_id = var.existing_nat_gateway_id
  external_ips = var.external_ips
  external_ports = var.external_ports
  forward_table_id = var.forward_table_id
  instance_charge_type = var.instance_charge_type
  internal_ips = var.internal_ips
  internal_ports = var.internal_ports
  internet_charge_type = var.internet_charge_type
  ip_protocols = var.ip_protocols
  name = var.name
  nat_gateway_id = var.nat_gateway_id
  nat_type = var.nat_type
  number_of_eip = var.number_of_eip
  payment_type = var.payment_type
  period = var.period
  profile = var.profile
  region = var.region
  shared_credentials_file = var.shared_credentials_file
  skip_region_validation = var.skip_region_validation
  snat_count = var.snat_count
  snat_ips = var.snat_ips
  snat_table_id = var.snat_table_id
  source_vswitch_ids = var.source_vswitch_ids
  specification = var.specification
  use_existing_nat_gateway = var.use_existing_nat_gateway
  use_num_suffix = var.use_num_suffix
  vpc_id = var.vpc_id
  vswitch_cidrs = var.vswitch_cidrs
  vswitch_id = var.vswitch_id
}
